# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import bbcode.models
import django.db.models.deletion
import club.models


class Migration(migrations.Migration):
    replaces = [
        ("club", "0001_initial"),
        ("club", "0002_nouveau_bbcode"),
        ("club", "0003_jetonedition"),
    ]

    dependencies = [
        ("attachments", "0001_initial"),
        ("portailuser", "0001_initial"),
        ("portailuser", "0003_remove_portailuser_jabber_mdp_temp"),
    ]

    operations = [
        migrations.CreateModel(
            name="AliasGere",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                (
                    "prefixe",
                    models.CharField(max_length=32, verbose_name=b"Pr\xc3\xa9fixe"),
                ),
                ("confirme", models.BooleanField(default=False, editable=False)),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="ArticleBlog",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("date_post", models.DateTimeField(auto_now_add=True)),
                ("date_edit", models.DateTimeField(auto_now=True)),
                ("titre", models.CharField(max_length=64)),
                ("adresse", models.SlugField(max_length=64, editable=False)),
                ("contenu", bbcode.models.BBCodeField(pack=b"message_attach")),
                ("sur_accueil", models.BooleanField(default=False, editable=False)),
                ("demande_accueil", models.BooleanField(default=False, editable=False)),
                (
                    "auteur",
                    models.ForeignKey(
                        editable=False,
                        to="portailuser.PortailUser",
                        on_delete=models.CASCADE,
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="Club",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                ("ident", models.SlugField(max_length=32, editable=False)),
                (
                    "mini_description",
                    models.CharField(default=b"", max_length=40, blank=True),
                ),
                ("description", bbcode.models.BBCodeField(pack=b"message")),
                ("nom", models.CharField(max_length=64, editable=False)),
                ("blog_act", models.BooleanField(default=False)),
                (
                    "logo",
                    models.ImageField(
                        null=True, upload_to=club.models.upload_logo_club, blank=True
                    ),
                ),
                (
                    "ecole",
                    models.ForeignKey(
                        editable=False, to="portailuser.Ecole", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name="MesBlogs",
            fields=[
                (
                    "id",
                    models.AutoField(
                        verbose_name="ID",
                        serialize=False,
                        auto_created=True,
                        primary_key=True,
                    ),
                ),
                (
                    "club_fav",
                    models.ForeignKey(to="club.Club", on_delete=models.CASCADE),
                ),
                (
                    "ecole",
                    models.ForeignKey(to="portailuser.Ecole", on_delete=models.CASCADE),
                ),
                (
                    "utilisateur",
                    models.ForeignKey(
                        to="portailuser.PortailUser", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name="articleblog",
            name="club",
            field=models.ForeignKey(
                editable=False, to="club.Club", on_delete=models.CASCADE
            ),
            preserve_default=True,
        ),
        migrations.AddField(
            model_name="articleblog",
            name="editeur",
            field=models.ForeignKey(
                related_name="articleblog_editeur_set",
                editable=False,
                to="portailuser.PortailUser",
                null=True,
                on_delete=models.CASCADE,
            ),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name="articleblog", unique_together={("club", "adresse")},
        ),
        migrations.AddField(
            model_name="aliasgere",
            name="club",
            field=models.ForeignKey(
                editable=False, to="club.Club", on_delete=models.CASCADE
            ),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name="aliasgere", unique_together={("club", "prefixe")},
        ),
        migrations.AddField(
            model_name="articleblog",
            name="image_accueil",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.SET_NULL,
                blank=True,
                editable=False,
                to="attachments.Attachment",
                null=True,
            ),
            preserve_default=True,
        ),
        migrations.CreateModel(
            name="JetonEdition",
            fields=[
                (
                    "article",
                    models.OneToOneField(
                        primary_key=True,
                        serialize=False,
                        to="club.ArticleBlog",
                        on_delete=models.CASCADE,
                    ),
                ),
                (
                    "fin_jeton",
                    models.DateTimeField(default=club.models.date_limite_edition),
                ),
                (
                    "editeur",
                    models.ForeignKey(
                        to="portailuser.PortailUser", on_delete=models.CASCADE
                    ),
                ),
            ],
            options={},
            bases=(models.Model,),
        ),
    ]
